Bug 1444037 - UI: List views forget checked items when resorted by clicking on a column header.
Summary: UI: List views forget checked items when resorted by clicking on a column hea...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.7.3
Assignee: Martin Hradil
QA Contact: Vatsal Parekh
URL:
Whiteboard: ui:network
Depends On: 1440142
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-20 13:16 UTC by Satoe Imaishi
Modified: 2017-06-28 15:00 UTC (History)
11 users (show)

Fixed In Version: 5.7.3.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1440142
Environment:
Last Closed: 2017-06-28 15:00:50 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
Bug 1444037 Screenshot (76.72 KB, image/png)
2017-06-12 05:23 UTC, Vatsal Parekh
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1601 0 normal SHIPPED_LIVE Important: CFME 5.7.3 security, bug fix and enhancement update 2017-06-28 18:51:52 UTC

Comment 3 CFME Bot 2017-05-11 19:35:58 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/2e2c060e70366541c4c4e6065e1ada38bc4e6b7b

commit 2e2c060e70366541c4c4e6065e1ada38bc4e6b7b
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Thu Apr 20 22:01:03 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu May 11 15:31:44 2017 -0400

    Merge pull request #1095 from himdel/toolbar-digest
    
    ToolbarController - always $digest after Rx message
    (cherry picked from commit 2128ff11c529d1e648bd8d04f12fbe6786c69652)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1444178
    https://bugzilla.redhat.com/show_bug.cgi?id=1444037

 .../javascripts/controllers/toolbar_controller.js  | 48 +++++++++-------------
 1 file changed, 20 insertions(+), 28 deletions(-)

Comment 4 CFME Bot 2017-05-11 19:41:27 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/b85c9d3438874faeee35b3638eb8592956258724

commit b85c9d3438874faeee35b3638eb8592956258724
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Thu Apr 20 10:34:07 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu May 11 15:36:51 2017 -0400

    Merge pull request #1058 from himdel/toolbar-zero-bz1440142
    
    Zero the toolbar count when asked
    (cherry picked from commit 39f6b872dc74fc10a3a21141d813089eaf53506f)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1444178
    https://bugzilla.redhat.com/show_bug.cgi?id=1444037

 app/assets/javascripts/miq_application.js | 31 +++++++++----------------------
 1 file changed, 9 insertions(+), 22 deletions(-)

Comment 5 Vatsal Parekh 2017-06-12 05:09:57 UTC
Able to reproduce the issue as shown in the video http://bit.ly/2nS0g4O
Verified on 5.7.3.1.20170608124102_4b35a9e

Comment 6 Vatsal Parekh 2017-06-12 05:23:39 UTC
Created attachment 1286919 [details]
Bug 1444037 Screenshot

Comment 7 Vatsal Parekh 2017-06-12 05:24:38 UTC
Attached screenshot of the reproduced error

Comment 10 CFME Bot 2017-06-15 14:26:16 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/068dbb2cce200dc6f4d037906c0502663726b28b

commit 068dbb2cce200dc6f4d037906c0502663726b28b
Author:     Martin Hradil <mhradil@redhat.com>
AuthorDate: Thu Jun 15 10:55:22 2017 +0000
Commit:     Martin Hradil <mhradil@redhat.com>
CommitDate: Thu Jun 15 10:55:22 2017 +0000

    Toolbar - listen for updateToolbarCount event
    
    This is present in master (and fine) since https://github.com/ManageIQ/manageiq-ui-classic/pull/72, but the PR never got backported to euwe.
    
    The changes introduced in https://github.com/ManageIQ/manageiq-ui-classic/pull/1058 to fix https://bugzilla.redhat.com/show_bug.cgi?id=1440142 do rely on this bit of functionality.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1444037

 app/assets/javascripts/controllers/toolbar_controller.js | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

Comment 11 Vatsal Parekh 2017-06-24 09:43:59 UTC
Not able to reproduce this now,
Verified on Version 5.7.3.2.20170621144854_6c833cc

Comment 13 errata-xmlrpc 2017-06-28 15:00:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1601


Note You need to log in before you can comment on or make changes to this bug.